# Class ErrorMarkStyleSet

java.lang.Object
uk.ac.starlink.ttools.plot.ErrorMarkStyleSet

All Implemented Interfaces:
  `StyleSet`

public class ErrorMarkStyleSet extends Object implements StyleSet
StyleSet which wraps an existing one to give it a different error renderer.

Since:
  20 Mar 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ErrorMarkStyleSet(StyleSet base, ErrorRenderer errorRenderer)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the name of this set.
`Style`
`getStyle(int index)`
Returns a marker style corresponding to a particular index.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ErrorMarkStyleSet

public ErrorMarkStyleSet(StyleSet base, ErrorRenderer errorRenderer)
Constructor.

Parameters:
  `base` - base style set
  `errorRenderer` - renderer which each style from this set will have

## Method Details

### getName

public String getName()
Description copied from interface: `StyleSet`
Returns the name of this set.

Specified by:
  `getName` in interface `StyleSet`
Returns:
  set name

### getStyle

public Style getStyle(int index)
Description copied from interface: `StyleSet`
Returns a marker style corresponding to a particular index. Successive calls for the same `index` must give the same style (or one equivalent in the sense of `equals`), and ideally different values of `index` should give unequal ones, but for indices beyond a certain value the markers may wrap around. A given implementation may change the marker it dispenses for a given index at different stages of its lifetime.

Specified by:
  `getStyle` in interface `StyleSet`
Parameters:
  `index` - code for the requested style
Returns:
  style for code `index`